## org.omg.DynamicAny
Interface DynValueCommonOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynValue, DynValueBox, DynValueBoxOperations, DynValueCommon, DynValueOperations

public interface DynValueCommonOperations
extends DynAnyOperations

Interface definition : DynValueCommon

Author:
  OpenORB Compiler

Method Summary
`boolean` `is_null()` Operation is_null
`void` `set_to_null()` Operation set_to_null
`void` `set_to_value()` Operation set_to_value

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### is_null

    public boolean is_null()

  Operation is_null

### set_to_null

    public void set_to_null()

  Operation set_to_null

### set_to_value

    public void set_to_value()

  Operation set_to_value